/***************************************************************************
                          main.cpp  -  description
                             -------------------
    begin                : Thu Apr 18 21:10:17 MEST 2002
    copyright            : (C) 2002 by Roland Lezuo
    email                : roland.lezuo@chello.at
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <kcmdlineargs.h>
#include <kaboutdata.h>
#include <klocale.h>

#include "kpictorial.h"

static const char *description =
	I18N_NOOP("Kpictorial");
// INSERT A DESCRIPTION FOR YOUR APPLICATION HERE
	
	
static KCmdLineOptions options[] =
{
  { 0, 0, 0 }
  // INSERT YOUR COMMANDLINE OPTIONS HERE
};

int main(int argc, char *argv[])
{

  KAboutData aboutData( "kpictorial", I18N_NOOP("Kpictorial"),
    VERSION, description, KAboutData::License_GPL,
    "(c) 2002, Roland Lezuo", 0, 0, "roland.lezuo@chello.at");
  aboutData.addAuthor("Roland Lezuo",0, "roland.lezuo@chello.at");
  KCmdLineArgs::init( argc, argv, &aboutData );
  KCmdLineArgs::addCmdLineOptions( options ); // Add our own options.

  KApplication a;
  Kpictorial *kpictorial = new Kpictorial();
  a.setMainWidget(kpictorial);
  kpictorial->show();  

  return a.exec();
}
